EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • POST
        Create a archive request
      • POST
        Create a revision
      • GET
        List checks for a dataset version
      • POST
        Create a contract check request
      • GET
        List deletion eligibility for a dataset version
      • GET
        List health for a dataset version
      • POST
        Create a health recompute request
      • GET
        List provenance summary for a dataset version
      • POST
        Create a repair task generation request
      • GET
        List reproducibility bundle for a dataset version
      • POST
        Create a split plan
      • GET
        List training jobs for a dataset version
      • GET
        List diff for a dataset version
      • POST
        Create a dataset
      • GET
        Get a dataset
      • PATCH
        Update a dataset
      • PUT
        Update a draft
      • POST
        ADR 0073: import QWen auto-annotate draft → writeback + optional search index rebuild.
      • GET
        List frame spatial annotations for a dataset
      • POST
        Create a frame spatial annotation
      • DELETE
        Delete a frame spatial annotation
      • PATCH
        Update a frame spatial annotation
      • GET
        List lineage for a dataset
      • GET
        List studio for a dataset
      • GET
        List time range annotations for a dataset
      • POST
        Create a time range annotation
      • DELETE
        Delete a time range annotation
      • PATCH
        Update a time range annotation
      • GET
        List versions for a dataset
      • GET
        List governance tags for a version
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        List governance tags for a item
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        Get a version
      • POST
        Create a derived version
      • GET
        List files for a version
      • GET
        List items for a version
      • GET
        List lineage for a version
      • GET
        List metadata for a version
      • GET
        List processing gate for a version
      • POST
        Create a publication request
      • POST
        Create a quality check job
      • GET
        List quality report for a version
      • GET
        List quality summary for a version
      • GET
        List signed files for a version
      • GET
        List topics for a version
      • POST
        Create a visibility restoration
      • GET
        List edges for a lineage
      • GET
        List downstream for a node
      • GET
        List upstream for a node
      • GET
        List capture sessions in a project
      • POST
        Create a capture session
      • GET
        List data contracts for a project
      • POST
        Create a data contract
      • GET
        List datasets for a project
      • GET
        List health for a project
      • GET
        List recordings in a project
      • POST
        Create a recording from an upload session or a one-way Hugging Face Hub import
      • DELETE
        Move a recording to trash
      • GET
        Get a recording
      • PATCH
        Patch recording name and tags
      • GET
        Get anonymization evidence and spot-check status for a recording
      • POST
        Create a consent-document upload for a human recording
      • POST
        Complete a consent-document upload after the object is stored
      • POST
        Confirm a privacy spot check for the latest processing result
      • GET
        What the latest processing result of a recording holds: cameras, columns, features, rate and duration
      • PUT
        Assign or clear a recording capture session
    • Upload
      • Episodes and versions
        • Annotation
          • Quality and tasks
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Recordings
                              4. Get a dataset

                              Get a dataset

                              GET
                              /v1/datasets/{datasetId}
                              curl -X GET 'https://api.embodiflow.io/v1/datasets/{datasetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • datasetIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • idstringrequired
                                • tenantIdstringrequired
                                • projectIdstringrequired
                                • slugstringrequired
                                • namestringrequired
                                • descriptionstring | nullrequired
                                • datasetTypestringrequired
                                • sourceTypestringrequired
                                • dataSourcestring | null
                                • consentAttestedone of
                                • canAttestConsentone of
                                • metadataSchemastring | null
                                • statusstringrequired
                                • currentVersionIdstring | nullrequired
                                • versionCountnumber
                                • currentVersionobject
                                • qualityStatusstring
                                  Allowed values
                                  failed
                                  warning
                                  error
                                  unchecked
                                  inspecting
                                  passed
                                • lastQualityInspectionAtstring | null
                                • recordingStatusobject
                                • updatedAtstringrequired
                                • createdAtstringrequired
                              Response example
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "slug": "string",
                                  "name": "string",
                                  "description": "string",
                                  "datasetType": "string",
                                  "sourceType": "string",
                                  "dataSource": "string",
                                  "consentAttested": false,
                                  "canAttestConsent": false,
                                  "metadataSchema": "string",
                                  "status": "string",
                                  "currentVersionId": "string",
                                  "versionCount": 0,
                                  "currentVersion": {
                                    "id": "string",
                                    "datasetId": "string",
                                    "version": 0,
                                    "versionName": "string",
                                    "description": "string",
                                    "status": "string",
                                    "manifestVersion": 0,
                                    "metadataType": "string",
                                    "codebaseVersion": "string",
                                    "episodeCount": 0,
                                    "lerobotEpisodeCount": 0,
                                    "featureCount": 0,
                                    "fps": 0,
                                    "topicCount": 0,
                                    "frameCount": 0,
                                    "startTimeNs": 0,
                                    "endTimeNs": 0,
                                    "metadataProjectionJson": {},
                                    "contractVersion": "string",
                                    "provenanceCompleteness": "missing",
                                    "featureKeys": [
                                      "string"
                                    ],
                                    "itemCount": 0,
                                    "totalBytes": 0,
                                    "finalizedAt": "string",
                                    "createdAt": "string",
                                    "qualityStatus": "failed",
                                    "visibilityStatus": "active",
                                    "splitStrategy": "string",
                                    "splitConfigJson": {},
                                    "operationFacts": {
                                      "contractVersion": "embodiflow-recording-operation-facts/v1",
                                      "observedAt": "string",
                                      "processing": {
                                        "anyActive": false,
                                        "upload": {
                                          "activeCount": 0,
                                          "status": "string",
                                          "uploadBatchId": "string"
                                        },
                                        "workflow": {
                                          "activeCount": 0,
                                          "status": "queued",
                                          "workflowRunId": "string"
                                        },
                                        "quality": {
                                          "activeCount": 0,
                                          "status": "failed",
                                          "workflowRunId": "string"
                                        }
                                      },
                                      "health": {
                                        "status": "unknown",
                                        "primaryBlockerCode": "string",
                                        "openRepairCount": 0,
                                        "observedAt": "string",
                                        "stale": false
                                      },
                                      "playback": {
                                        "artifactAvailable": false,
                                        "reasonCode": "string"
                                      },
                                      "lastMeaningfulActivityAt": "string"
                                    }
                                  },
                                  "qualityStatus": "failed",
                                  "lastQualityInspectionAt": "string",
                                  "recordingStatus": {
                                    "lifecycle": "failed",
                                    "quality": "warn",
                                    "qualityCheckId": "string",
                                    "qualityVerdict": "warning",
                                    "stepId": "string",
                                    "stepWaitReason": "string",
                                    "noProgressSince": "string",
                                    "failure": {
                                      "code": "string",
                                      "reason": "string",
                                      "stepId": "string",
                                      "stepName": "string",
                                      "stepAlgorithm": {
                                        "slug": "string",
                                        "title": "string",
                                        "official": false
                                      },
                                      "stepRunId": "string",
                                      "runId": "string",
                                      "stepErrorCode": "string"
                                    },
                                    "runId": "string",
                                    "processingRefused": {
                                      "code": "string"
                                    }
                                  },
                                  "updatedAt": "string",
                                  "createdAt": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /datasets

                              Next

                              PATCH /datasets/{datasetId}

                              curl -X GET 'https://api.embodiflow.io/v1/datasets/{datasetId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "slug": "string",
                                  "name": "string",
                                  "description": "string",
                                  "datasetType": "string",
                                  "sourceType": "string",
                                  "dataSource": "string",
                                  "consentAttested": false,
                                  "canAttestConsent": false,
                                  "metadataSchema": "string",
                                  "status": "string",
                                  "currentVersionId": "string",
                                  "versionCount": 0,
                                  "currentVersion": {
                                    "id": "string",
                                    "datasetId": "string",
                                    "version": 0,
                                    "versionName": "string",
                                    "description": "string",
                                    "status": "string",
                                    "manifestVersion": 0,
                                    "metadataType": "string",
                                    "codebaseVersion": "string",
                                    "episodeCount": 0,
                                    "lerobotEpisodeCount": 0,
                                    "featureCount": 0,
                                    "fps": 0,
                                    "topicCount": 0,
                                    "frameCount": 0,
                                    "startTimeNs": 0,
                                    "endTimeNs": 0,
                                    "metadataProjectionJson": {},
                                    "contractVersion": "string",
                                    "provenanceCompleteness": "missing",
                                    "featureKeys": [
                                      "string"
                                    ],
                                    "itemCount": 0,
                                    "totalBytes": 0,
                                    "finalizedAt": "string",
                                    "createdAt": "string",
                                    "qualityStatus": "failed",
                                    "visibilityStatus": "active",
                                    "splitStrategy": "string",
                                    "splitConfigJson": {},
                                    "operationFacts": {
                                      "contractVersion": "embodiflow-recording-operation-facts/v1",
                                      "observedAt": "string",
                                      "processing": {
                                        "anyActive": false,
                                        "upload": {
                                          "activeCount": 0,
                                          "status": "string",
                                          "uploadBatchId": "string"
                                        },
                                        "workflow": {
                                          "activeCount": 0,
                                          "status": "queued",
                                          "workflowRunId": "string"
                                        },
                                        "quality": {
                                          "activeCount": 0,
                                          "status": "failed",
                                          "workflowRunId": "string"
                                        }
                                      },
                                      "health": {
                                        "status": "unknown",
                                        "primaryBlockerCode": "string",
                                        "openRepairCount": 0,
                                        "observedAt": "string",
                                        "stale": false
                                      },
                                      "playback": {
                                        "artifactAvailable": false,
                                        "reasonCode": "string"
                                      },
                                      "lastMeaningfulActivityAt": "string"
                                    }
                                  },
                                  "qualityStatus": "failed",
                                  "lastQualityInspectionAt": "string",
                                  "recordingStatus": {
                                    "lifecycle": "failed",
                                    "quality": "warn",
                                    "qualityCheckId": "string",
                                    "qualityVerdict": "warning",
                                    "stepId": "string",
                                    "stepWaitReason": "string",
                                    "noProgressSince": "string",
                                    "failure": {
                                      "code": "string",
                                      "reason": "string",
                                      "stepId": "string",
                                      "stepName": "string",
                                      "stepAlgorithm": {
                                        "slug": "string",
                                        "title": "string",
                                        "official": false
                                      },
                                      "stepRunId": "string",
                                      "runId": "string",
                                      "stepErrorCode": "string"
                                    },
                                    "runId": "string",
                                    "processingRefused": {
                                      "code": "string"
                                    }
                                  },
                                  "updatedAt": "string",
                                  "createdAt": "string"
                                }
                              }